# EStiMo

EStiMo is the software that works as a real-time readout program for monitoring TMS sessions by performing EEG signal analysis. Its work is based on a set of features that are calculated online and presented on the screen. Values are calculated between TMS trains.

## Installation

The software does not require installation, but it requires Python 3 environment (preferably 3.8) with proper libraries (time, matplotlib, mne, inspect, sys, os, random, scipy, PyQt5, multiprocessing, pandas, json, cycler, traceback, csv). The package includes 6 Python script files: FirstWindow.py, Functions.py, NeurOne.py, RDA.py, EStiMo\_GUI.py; text file TMS\_protocol.txt with default settings; text file called electrode\_selection.txt that includes paths to files with electrodes placement; and csv file with a square matrix, which is used to set the relations between channels. 



## Getting started

The program can be started by simply running an EStiMo_GUI.py file through Python 3, using either IDE (e.g. Spyder) or console. The starting window with settings should appear. Settings could be changed manually, or a configuration file (a txt file with a proper structure) could be loaded instead. Montage can be also changed by loading a csv file with a matrix of size (n_channels X n_channels). On the right side of the screen, channels are visible. Their position corresponds to the real position from the cap, based on the file mentioned at the top of the screen. That file can be also changed. Note that when changing you'll have to choose 2 files: the first is supposed to show the whole original cap, and the second includes only channels used to calculate the features. If all channels are supposed to be used, simply load the same file twice. After that channels can be selected or deselected manually to include them or discard them from the feature extraction process. Selected channels are marked in blue colour. The left side of the screen provides adjustable settings and options. On the top of the window, a bar called "Features and connection" can be selected. It includes a choice of features for connection establishment. After making sure that the settings are proper, the "Run program" button can be clicked. 
